Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
organisation_id | integer | Yes | Organisation to book with |
start | datetime | Yes | Return slots from this date |
end | datetime | Yes | Return slots up to this date |
appointment_type_id | integer | Yes | Appointment type to find availability for |
provider_ids | array[integer] | No | Provider person IDs to filter on |
patient_state | string | No | Patient's state, used when the appointment type requires patient-state licensure |
coverage | string | No | Patient's license, used when the appointment type requires provider license enrollment |
Path Parameters
No path parameters
Header Parameters
No header parameters
Responses
200 — OK
Always returns, even when there are no available slots.
{
"labels": {
"appointment": "Initial Consult",
"providers": {
"42": "Jane Smith",
"57": "John Doe"
}
},
"slots": [
{
"start": "2023-07-27T06:30:00+00:00",
"end": "2023-07-27T07:00:00+00:00"
},
{
"start": "2023-07-27T07:00:00+00:00",
"end": "2023-07-27T07:30:00+00:00"
}
]
}422 — Unprocessable Entity
Query parameter validation failure (e.g. missing required param, wrong type)
429 — Too Many Requests
Rate limit exceeded.
